set(webrtc_INSTALL_PREFIX "${CMAKE_CURRENT_LIST_DIR}")
get_filename_component(webrtc_INSTALL_PREFIX "${webrtc_INSTALL_PREFIX}" PATH)
get_filename_component(webrtc_INSTALL_PREFIX "${webrtc_INSTALL_PREFIX}" PATH)
get_filename_component(webrtc_INSTALL_PREFIX "${webrtc_INSTALL_PREFIX}" PATH)

set(webrtc_INCLUDE_DIRS "${webrtc_INSTALL_PREFIX}/include;${webrtc_INSTALL_PREFIX}/include/webrtc/3rdparty")
set(webrtc_DEFINITIONS "-DV8_DEPRECATION_WARNINGS -DUSE_UDEV -DUSE_AURA=1 -DUSE_PANGO=1 -DUSE_CAIRO=1 -DUSE_GLIB=1 -DUSE_NSS_CERTS=1 -DUSE_X11=1 -DFULL_SAFE_BROWSING -DSAFE_BROWSING_CSD -DSAFE_BROWSING_DB_LOCAL -DCHROMIUM_BUILD -DENABLE_MEDIA_ROUTER=1 -DFIELDTRIAL_TESTING_ENABLED -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D_FORTIFY_SOURCE=2 -DNDEBUG -DNVALGRIND -DDYNAMIC_ANNOTATIONS_ENABLED=0 -DWEBRTC_ENABLE_PROTOBUF=0 -DWEBRTC_INCLUDE_INTERNAL_AUDIO_DEVICE -DEXPAT_RELATIVE_PATH -DHAVE_SCTP -DWEBRTC_POSIX -DWEBRTC_LINUX -DWEBRTC_BUILD_LIBEVENT -DHAVE_WEBRTC_VIDEO -DHAVE_WEBRTC_VOICE -DFEATURE_ENABLE_VOICEMAIL -DHAVE_SCTP")
set(webrtc_LIBRARIES "webrtc;webrtc_common;webrtc_rtc_numerics;webrtc_rtc_base;webrtc_rtc_task_queue;webrtc_rtc_base_approved;webrtc_rtc_media;webrtc_rtc_media_base;webrtc_common_audio_sse2;webrtc_common_audio;webrtc_video;webrtc_metrics_default;webrtc_system_wrappers;webrtc_cpu_features_linux;webrtc_field_trial_default;webrtc_rtc_stats;webrtc_call;webrtc_bitrate_controller;webrtc_utility;webrtc_remote_bitrate_estimator;webrtc_congestion_controller;webrtc_red;webrtc_neteq;webrtc_ilbc;webrtc_audio_encoder_interface;webrtc_isac_fix;webrtc_isac_c;webrtc_opus;webrtc_g711;webrtc_g722;webrtc_cng;webrtc_builtin_audio_encoder_factory;webrtc_isac_common;webrtc_legacy_encoded_audio_frame;webrtc_pcm16b;webrtc_rent_a_codec;webrtc_isac;webrtc_audio_coding;webrtc_audio_format_conversion;webrtc_audio_network_adaptor;webrtc_builtin_audio_decoder_factory_internal;webrtc_audio_device;webrtc_video_coding;webrtc_vp9;webrtc_i420;webrtc_h264;webrtc_vp8;webrtc_video_coding_utility;webrtc_media_file;webrtc_video_capture_module;webrtc_video_capture_internal_impl;webrtc_video_processing;webrtc_video_processing_sse2;webrtc_audio_conference_mixer;webrtc_audio_processing;webrtc_audio_processing_sse2;webrtc_rtp_rtcp;webrtc_audio_frame_manipulator;webrtc_audio_mixer_impl;webrtc_primitives;webrtc_desktop_capture;webrtc_desktop_capture_differ_sse2;webrtc_pacing;webrtc_audio_level;webrtc_voice_engine;webrtc_audio_coder;webrtc_file_player;webrtc_file_recorder;webrtc_common_video;webrtc_rtc_p2p;webrtc_stunprober;webrtc_rtc_event_log_impl;webrtc_jingle_peerconnection_api;webrtc_builtin_audio_decoder_factory;webrtc_rtc_pc;webrtc_jingle_peerconnection;webrtc_ortc;webrtc_audio;webrtc_audio_frame_operations;webrtc_ext_boringssl;webrtc_ext_opus;webrtc_ext_vpx;webrtc_ext_vpx_yasm;webrtc_ext_simd;webrtc_ext_simd_asm;webrtc_ext_jpeg;webrtc_ext_usrsctp;webrtc_ext_srtp;webrtc_ext_dl;webrtc_ext_yuv_internal;webrtc_ext_yasm_utils")

add_library(webrtc STATIC IMPORTED)
set_property(TARGET webrtc PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc.a")

add_library(webrtc_common STATIC IMPORTED)
set_property(TARGET webrtc_common PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_common.a")

add_library(webrtc_rtc_numerics STATIC IMPORTED)
set_property(TARGET webrtc_rtc_numerics PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_rtc_numerics.a")

add_library(webrtc_rtc_base STATIC IMPORTED)
set_property(TARGET webrtc_rtc_base PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_rtc_base.a")

add_library(webrtc_rtc_task_queue STATIC IMPORTED)
set_property(TARGET webrtc_rtc_task_queue PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_rtc_task_queue.a")

add_library(webrtc_rtc_base_approved STATIC IMPORTED)
set_property(TARGET webrtc_rtc_base_approved PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_rtc_base_approved.a")

add_library(webrtc_rtc_media STATIC IMPORTED)
set_property(TARGET webrtc_rtc_media PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_rtc_media.a")

add_library(webrtc_rtc_media_base STATIC IMPORTED)
set_property(TARGET webrtc_rtc_media_base PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_rtc_media_base.a")

add_library(webrtc_common_audio_sse2 STATIC IMPORTED)
set_property(TARGET webrtc_common_audio_sse2 PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_common_audio_sse2.a")

add_library(webrtc_common_audio STATIC IMPORTED)
set_property(TARGET webrtc_common_audio PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_common_audio.a")

add_library(webrtc_video STATIC IMPORTED)
set_property(TARGET webrtc_video PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_video.a")

add_library(webrtc_metrics_default STATIC IMPORTED)
set_property(TARGET webrtc_metrics_default PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_metrics_default.a")

add_library(webrtc_system_wrappers STATIC IMPORTED)
set_property(TARGET webrtc_system_wrappers PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_system_wrappers.a")

add_library(webrtc_cpu_features_linux STATIC IMPORTED)
set_property(TARGET webrtc_cpu_features_linux PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_cpu_features_linux.a")

add_library(webrtc_field_trial_default STATIC IMPORTED)
set_property(TARGET webrtc_field_trial_default PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_field_trial_default.a")

add_library(webrtc_rtc_stats STATIC IMPORTED)
set_property(TARGET webrtc_rtc_stats PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_rtc_stats.a")

add_library(webrtc_call STATIC IMPORTED)
set_property(TARGET webrtc_call PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_call.a")

add_library(webrtc_bitrate_controller STATIC IMPORTED)
set_property(TARGET webrtc_bitrate_controller PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_bitrate_controller.a")

add_library(webrtc_utility STATIC IMPORTED)
set_property(TARGET webrtc_utility PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_utility.a")

add_library(webrtc_remote_bitrate_estimator STATIC IMPORTED)
set_property(TARGET webrtc_remote_bitrate_estimator PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_remote_bitrate_estimator.a")

add_library(webrtc_congestion_controller STATIC IMPORTED)
set_property(TARGET webrtc_congestion_controller PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_congestion_controller.a")

add_library(webrtc_red STATIC IMPORTED)
set_property(TARGET webrtc_red PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_red.a")

add_library(webrtc_neteq STATIC IMPORTED)
set_property(TARGET webrtc_neteq PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_neteq.a")

add_library(webrtc_ilbc STATIC IMPORTED)
set_property(TARGET webrtc_ilbc PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ilbc.a")

add_library(webrtc_audio_encoder_interface STATIC IMPORTED)
set_property(TARGET webrtc_audio_encoder_interface PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio_encoder_interface.a")

add_library(webrtc_isac_fix STATIC IMPORTED)
set_property(TARGET webrtc_isac_fix PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_isac_fix.a")

add_library(webrtc_isac_c STATIC IMPORTED)
set_property(TARGET webrtc_isac_c PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_isac_c.a")

add_library(webrtc_opus STATIC IMPORTED)
set_property(TARGET webrtc_opus PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_opus.a")

add_library(webrtc_g711 STATIC IMPORTED)
set_property(TARGET webrtc_g711 PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_g711.a")

add_library(webrtc_g722 STATIC IMPORTED)
set_property(TARGET webrtc_g722 PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_g722.a")

add_library(webrtc_cng STATIC IMPORTED)
set_property(TARGET webrtc_cng PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_cng.a")

add_library(webrtc_builtin_audio_encoder_factory STATIC IMPORTED)
set_property(TARGET webrtc_builtin_audio_encoder_factory PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_builtin_audio_encoder_factory.a")

add_library(webrtc_isac_common STATIC IMPORTED)
set_property(TARGET webrtc_isac_common PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_isac_common.a")

add_library(webrtc_legacy_encoded_audio_frame STATIC IMPORTED)
set_property(TARGET webrtc_legacy_encoded_audio_frame PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_legacy_encoded_audio_frame.a")

add_library(webrtc_pcm16b STATIC IMPORTED)
set_property(TARGET webrtc_pcm16b PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_pcm16b.a")

add_library(webrtc_rent_a_codec STATIC IMPORTED)
set_property(TARGET webrtc_rent_a_codec PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_rent_a_codec.a")

add_library(webrtc_isac STATIC IMPORTED)
set_property(TARGET webrtc_isac PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_isac.a")

add_library(webrtc_audio_coding STATIC IMPORTED)
set_property(TARGET webrtc_audio_coding PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio_coding.a")

add_library(webrtc_audio_format_conversion STATIC IMPORTED)
set_property(TARGET webrtc_audio_format_conversion PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio_format_conversion.a")

add_library(webrtc_audio_network_adaptor STATIC IMPORTED)
set_property(TARGET webrtc_audio_network_adaptor PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio_network_adaptor.a")

add_library(webrtc_builtin_audio_decoder_factory_internal STATIC IMPORTED)
set_property(TARGET webrtc_builtin_audio_decoder_factory_internal PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_builtin_audio_decoder_factory_internal.a")

add_library(webrtc_audio_device STATIC IMPORTED)
set_property(TARGET webrtc_audio_device PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio_device.a")

add_library(webrtc_video_coding STATIC IMPORTED)
set_property(TARGET webrtc_video_coding PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_video_coding.a")

add_library(webrtc_vp9 STATIC IMPORTED)
set_property(TARGET webrtc_vp9 PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_vp9.a")

add_library(webrtc_i420 STATIC IMPORTED)
set_property(TARGET webrtc_i420 PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_i420.a")

add_library(webrtc_h264 STATIC IMPORTED)
set_property(TARGET webrtc_h264 PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_h264.a")

add_library(webrtc_vp8 STATIC IMPORTED)
set_property(TARGET webrtc_vp8 PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_vp8.a")

add_library(webrtc_video_coding_utility STATIC IMPORTED)
set_property(TARGET webrtc_video_coding_utility PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_video_coding_utility.a")

add_library(webrtc_media_file STATIC IMPORTED)
set_property(TARGET webrtc_media_file PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_media_file.a")

add_library(webrtc_video_capture_module STATIC IMPORTED)
set_property(TARGET webrtc_video_capture_module PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_video_capture_module.a")

add_library(webrtc_video_capture_internal_impl STATIC IMPORTED)
set_property(TARGET webrtc_video_capture_internal_impl PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_video_capture_internal_impl.a")

add_library(webrtc_video_processing STATIC IMPORTED)
set_property(TARGET webrtc_video_processing PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_video_processing.a")

add_library(webrtc_video_processing_sse2 STATIC IMPORTED)
set_property(TARGET webrtc_video_processing_sse2 PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_video_processing_sse2.a")

add_library(webrtc_audio_conference_mixer STATIC IMPORTED)
set_property(TARGET webrtc_audio_conference_mixer PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio_conference_mixer.a")

add_library(webrtc_audio_processing STATIC IMPORTED)
set_property(TARGET webrtc_audio_processing PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio_processing.a")

add_library(webrtc_audio_processing_sse2 STATIC IMPORTED)
set_property(TARGET webrtc_audio_processing_sse2 PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio_processing_sse2.a")

add_library(webrtc_rtp_rtcp STATIC IMPORTED)
set_property(TARGET webrtc_rtp_rtcp PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_rtp_rtcp.a")

add_library(webrtc_audio_frame_manipulator STATIC IMPORTED)
set_property(TARGET webrtc_audio_frame_manipulator PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio_frame_manipulator.a")

add_library(webrtc_audio_mixer_impl STATIC IMPORTED)
set_property(TARGET webrtc_audio_mixer_impl PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio_mixer_impl.a")

add_library(webrtc_primitives STATIC IMPORTED)
set_property(TARGET webrtc_primitives PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_primitives.a")

add_library(webrtc_desktop_capture STATIC IMPORTED)
set_property(TARGET webrtc_desktop_capture PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_desktop_capture.a")

add_library(webrtc_desktop_capture_differ_sse2 STATIC IMPORTED)
set_property(TARGET webrtc_desktop_capture_differ_sse2 PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_desktop_capture_differ_sse2.a")

add_library(webrtc_pacing STATIC IMPORTED)
set_property(TARGET webrtc_pacing PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_pacing.a")

add_library(webrtc_audio_level STATIC IMPORTED)
set_property(TARGET webrtc_audio_level PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio_level.a")

add_library(webrtc_voice_engine STATIC IMPORTED)
set_property(TARGET webrtc_voice_engine PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_voice_engine.a")

add_library(webrtc_audio_coder STATIC IMPORTED)
set_property(TARGET webrtc_audio_coder PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio_coder.a")

add_library(webrtc_file_player STATIC IMPORTED)
set_property(TARGET webrtc_file_player PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_file_player.a")

add_library(webrtc_file_recorder STATIC IMPORTED)
set_property(TARGET webrtc_file_recorder PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_file_recorder.a")

add_library(webrtc_common_video STATIC IMPORTED)
set_property(TARGET webrtc_common_video PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_common_video.a")

add_library(webrtc_rtc_p2p STATIC IMPORTED)
set_property(TARGET webrtc_rtc_p2p PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_rtc_p2p.a")

add_library(webrtc_stunprober STATIC IMPORTED)
set_property(TARGET webrtc_stunprober PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_stunprober.a")

add_library(webrtc_rtc_event_log_impl STATIC IMPORTED)
set_property(TARGET webrtc_rtc_event_log_impl PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_rtc_event_log_impl.a")

add_library(webrtc_jingle_peerconnection_api STATIC IMPORTED)
set_property(TARGET webrtc_jingle_peerconnection_api PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_jingle_peerconnection_api.a")

add_library(webrtc_builtin_audio_decoder_factory STATIC IMPORTED)
set_property(TARGET webrtc_builtin_audio_decoder_factory PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_builtin_audio_decoder_factory.a")

add_library(webrtc_rtc_pc STATIC IMPORTED)
set_property(TARGET webrtc_rtc_pc PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_rtc_pc.a")

add_library(webrtc_jingle_peerconnection STATIC IMPORTED)
set_property(TARGET webrtc_jingle_peerconnection PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_jingle_peerconnection.a")

add_library(webrtc_ortc STATIC IMPORTED)
set_property(TARGET webrtc_ortc PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ortc.a")

add_library(webrtc_audio STATIC IMPORTED)
set_property(TARGET webrtc_audio PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio.a")

add_library(webrtc_audio_frame_operations STATIC IMPORTED)
set_property(TARGET webrtc_audio_frame_operations PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_audio_frame_operations.a")

add_library(webrtc_ext_boringssl STATIC IMPORTED)
set_property(TARGET webrtc_ext_boringssl PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ext_boringssl.a")

add_library(webrtc_ext_opus STATIC IMPORTED)
set_property(TARGET webrtc_ext_opus PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ext_opus.a")

add_library(webrtc_ext_vpx STATIC IMPORTED)
set_property(TARGET webrtc_ext_vpx PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ext_vpx.a")

add_library(webrtc_ext_vpx_yasm STATIC IMPORTED)
set_property(TARGET webrtc_ext_vpx_yasm PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ext_vpx_yasm.a")

add_library(webrtc_ext_simd STATIC IMPORTED)
set_property(TARGET webrtc_ext_simd PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ext_simd.a")

add_library(webrtc_ext_simd_asm STATIC IMPORTED)
set_property(TARGET webrtc_ext_simd_asm PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ext_simd_asm.a")

add_library(webrtc_ext_jpeg STATIC IMPORTED)
set_property(TARGET webrtc_ext_jpeg PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ext_jpeg.a")

add_library(webrtc_ext_usrsctp STATIC IMPORTED)
set_property(TARGET webrtc_ext_usrsctp PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ext_usrsctp.a")

add_library(webrtc_ext_srtp STATIC IMPORTED)
set_property(TARGET webrtc_ext_srtp PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ext_srtp.a")

add_library(webrtc_ext_dl STATIC IMPORTED)
set_property(TARGET webrtc_ext_dl PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ext_dl.a")

add_library(webrtc_ext_yuv_internal STATIC IMPORTED)
set_property(TARGET webrtc_ext_yuv_internal PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ext_yuv_internal.a")

add_library(webrtc_ext_yasm_utils STATIC IMPORTED)
set_property(TARGET webrtc_ext_yasm_utils PROPERTY IMPORTED_LOCATION "${webrtc_INSTALL_PREFIX}/lib/libwebrtc_ext_yasm_utils.a")
